I forget why but I'm stuck using rubygems 1.7.2, which means I
occasionally get the dreaded "invalid date format in specification"
error message

What sets the date format?

For example. with rubygems-bundler

Invalid gemspec in [/usr/local/rvm/rubies/ree-1.8.7-2011.03/lib/ruby/
gems/1.8/specifications/rubygems-bundler-0.2.6.gemspec]: invalid date
format in specification: "2011-09-16 00:00:00.000000000Z"

If you look on github the date is 2011-09-16. no time information is
added
https://github.com/mpapis/rubygems-bundler/blob/master/rubygems-bundler.gemspec

So what adds the 00:00:00.000000000Z? Is it part of the rubygems
push process?

This gem supports older versions of rubygems but once it is uploaded
to rubygems.org it will only work on 1.8.x :-\

Thanks for any pointers.
Tony

--
You received this message because you are subscribed to the Google Groups "Ruby on Rails: Talk" group.
To post to this group, send email to rubyonrails-talk@googlegroups.com.
To unsubscribe from this group, send email to rubyonrails-talk+unsubscribe@googlegroups.com.
For more options, visit this group at http://groups.google.com/group/rubyonrails-talk?hl=en.

Search Discussions

  • Tony Primerano at Oct 4, 2011 at 2:22 pm
    FYI.. The Gem author fixed this issue by rebuilding the Gem with
    1.8.7. He mentioned something about the YAML version. I guess I
    should learn about the Gem deploy process to better understand what
    the root cause of the issue was.

    The fix
    https://github.com/mpapis/rubygems-bundler/commit/ead8ec8d57331b6b750d1622e5b683763b92fd73#diff-1

    The ticket
    https://github.com/mpapis/rubygems-bundler/issues/6
    On Sep 20, 1:00 pm, Tony Primerano wrote:
    I forget why but I'm stuck using rubygems 1.7.2, which means I
    occasionally get the dreaded "invalid date format in specification"
    error message

    What sets the date format?

    For example.  with rubygems-bundler

    Invalid gemspec in [/usr/local/rvm/rubies/ree-1.8.7-2011.03/lib/ruby/
    gems/1.8/specifications/rubygems-bundler-0.2.6.gemspec]: invalid date
    format in specification: "2011-09-16 00:00:00.000000000Z"

    If you look on github the date is 2011-09-16.  no time information is
    addedhttps://github.com/mpapis/rubygems-bundler/blob/master/rubygems-bundl...

    So what adds the 00:00:00.000000000Z?   Is it part of the rubygems
    push process?

    Thisgemsupports older versions of rubygems but once it is uploaded
    to rubygems.org it will only work on 1.8.x  :-\

    Thanks for any pointers.
    Tony
    --
    You received this message because you are subscribed to the Google Groups "Ruby on Rails: Talk" group.
    To post to this group, send email to rubyonrails-talk@googlegroups.com.
    To unsubscribe from this group, send email to rubyonrails-talk+unsubscribe@googlegroups.com.
    For more options, visit this group at http://groups.google.com/group/rubyonrails-talk?hl=en.

Related Discussions

Discussion Navigation
viewthread | post
Discussion Overview
grouprubyonrails-talk @
categoriesrubyonrails
postedSep 20, '11 at 5:02p
activeOct 4, '11 at 2:22p
posts2
users1
websiterubyonrails.org
irc#RubyOnRails

1 user in discussion

Tony Primerano: 2 posts

People

Translate

site design / logo © 2022 Grokbase